<?
##################################################
## Автор: -=ШАХТЕР=-                             #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';
$title="Фотоальбомы";
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

$k_alb=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_albom where user_id = '".$user['id']."'"),0);

if ($ver!='wml'){
if($k_alb==0){
echo "Чтобы добавить фото вам необходимо создать хотя бы один Альбом<br /> <a href=\"new_album?$ses\">Добавить альбом</a><br/>";
}else{
$act = check($_POST['act']);
if(empty($act)){
echo "<b>Добавление фото</b><br/>";

echo '<form action="?" method=post name=form enctype="multipart/form-data">
<dl><dt>
Фото:<br/>
<input type="file" name="file"/><br/>
Описание:<br/>
<textarea name="kom" cols="'.$user['pole2'].'" rows="'.$user['pole1'].'"></textarea><br/>
Альбом:<br />';
echo '<select name="aid">';
$q = @$db->sql_query("SELECT * FROM `foto_albom` WHERE `user_id`='".$user['id']."' ORDER BY `time_izm` DESC;");
while($alb = $db->sql_fetchrow($q))
{
echo '<option value="'.$alb['id'].'\">'.$alb['name'].'</option>';
}
echo '</select><br/><br />';
echo '<input type="hidden" name="act" value="add"/>

<input class="ibutton" type="submit" name="submit" value="Загрузить"/></form><dl></dl>';

}else{
$kom = check($_POST['kom']);
$aid = check(intval($_POST['aid']));


if(!isset($_FILES['file'])) $err = '<b>Вы не указали файл!</b><br/>';

$pictures = array('.gif', '.jpg', '.jpeg', '.bmp', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));

if(!in_array($ext, $pictures))$err = '<b>Недопустимое расширение файла!</b><br />';

$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){$err = '<b>Недопустимое расширение файла!</b><br />';}

if($_FILES['file']['size'] > (1024 * $set['size_foto'])) $err = '<b>Размер файла не должен превышать <b>'.$set['size_foto'].'</b> кб.</b><br />';


$k_f=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_add where user_id = '".$user['id']."' and `album` = '".$aid."' and `razmer` = '".($_FILES['file']['size']/1024)."' and `format` = '".$ext."' and `kom` = '".$kom."'"),0);
if ($k_f!=0)$err = '<b>Такое фото уже есть!</b><br />';

if(empty($err))
{

$db->sql_query("INSERT INTO `foto_add` (user_id,kom,album,time,format,razmer,level) values('$user[id]','$kom','$aid','$time','$ext','".($_FILES['file']['size']/1024)."','$user[level]')");

@$db->sql_query("update `foto_albom` set  time_izm='".$time."' WHERE `id`='".$aid."' AND `user_id`='".$user['id']."';");

$f = $db->sql_fetchrow($db->sql_query("SELECT * FROM `foto_add` WHERE `razmer` = '".($_FILES['file']['size']/1024)."' and `album` = '".$aid."' and `kom` = '".$kom."'"));

$foto = "album_".$aid."_".$f['id'].$ext."";

@copy($_FILES['file']['tmp_name'], H.'files/album/'.$foto);
@chmod(H."files/album/".basename($foto), 0644);

header ('Location: '.H.'my_albums?'.SID);  exit;
}else echo "$err ";

}
}
}else echo "Фото добавить можно Толька в HTML режиме !<br />";


echo '<a href="'.H.'my_albums">Мои альбомы</a><br/>';
echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>